Recommended update for dehydrated

SUSE Recommended Update: Recommended update for dehydrated
Announcement ID: SUSE-RU-2019:1720-1
Rating: important
References: #1110697 #1139408
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Server Applications 15

An update that has two recommended fixes can now be installed.

Description:

This update for dehydrated fixes the following issues:

  • Update to dehydrated 0.6.5 * Fetch account ID from Location header instead of account json (bsc#1139408) * OCSP refresh interval is now configurable * Implemented POST-as-GET * Call exit_hook on errors (with error-message as first parameter) * Initial support for tls-alpn-01 validation * New hook: sync_cert (for syncing certificate files to disk, see example hook description) * Fetch account information after registration to avoid missing account id
  • Remove RandomizedDelaySec attribute for distros with older systemd (bsc#1110697)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2019-1720=1
  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-1720=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (noarch):
    • dehydrated-0.6.5-3.3.1
    • dehydrated-apache2-0.6.5-3.3.1
  • SUSE Linux Enterprise Module for Server Applications 15 (noarch):
    • dehydrated-0.6.5-3.3.1
    • dehydrated-apache2-0.6.5-3.3.1

References: